SDL_GetRectIntersectionFloat(3)

NAME
SDL_GetRectIntersectionFloat - Calculate the intersection of two rectangles with float precision.

SYNOPSIS
#include <SDL3/SDL_rect.h>

bool SDL_GetRectIntersectionFloat(const SDL_FRect *A, const SDL_FRect *B, SDL_FRect *result);

DESCRIPTION
If result is NULL then this function will return false.

FUNCTION PARAMETERS

A   an SDL_FRect structure representing the first rectangle.

B   an SDL_FRect structure representing the second rectangle.

result
    an SDL_FRect structure filled in with the intersection of rectangles A and B.

RETURN VALUE
Returns true if there is an intersection, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasRectIntersectionFloat(3)